# Enum Class PseudoColumnUsage

java.lang.Object
java.lang.Enum<PseudoColumnUsage>
java.sql.PseudoColumnUsage

All Implemented Interfaces:
  `Serializable`, `Comparable<PseudoColumnUsage>`, `Constable`

public enum PseudoColumnUsage extends Enum<PseudoColumnUsage>
Enumeration for pseudo/hidden column usage.

Since:
  1.7
See Also:
  - `DatabaseMetaData.getPseudoColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

## Nested Class Summary

### Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NO_USAGE_RESTRICTIONS`
There are no restrictions on the usage of the pseudo/hidden columns.
`SELECT_LIST_ONLY`
The pseudo/hidden column may only be used in a SELECT list.
`USAGE_UNKNOWN`
The usage of the pseudo/hidden column cannot be determined.
`WHERE_CLAUSE_ONLY`
The pseudo/hidden column may only be used in a WHERE clause.

## Method Summary

Modifier and Type
Method
Description
`static PseudoColumnUsage`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PseudoColumnUsage[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SELECT_LIST_ONLY

public static final PseudoColumnUsage SELECT_LIST_ONLY
The pseudo/hidden column may only be used in a SELECT list.

### WHERE_CLAUSE_ONLY

public static final PseudoColumnUsage WHERE_CLAUSE_ONLY
The pseudo/hidden column may only be used in a WHERE clause.

### NO_USAGE_RESTRICTIONS

public static final PseudoColumnUsage NO_USAGE_RESTRICTIONS
There are no restrictions on the usage of the pseudo/hidden columns.

### USAGE_UNKNOWN

public static final PseudoColumnUsage USAGE_UNKNOWN
The usage of the pseudo/hidden column cannot be determined.

## Method Details

### values

public static PseudoColumnUsage[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PseudoColumnUsage valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null